Skip to main content
GET
/
api
/
product
/
all
List products
curl --request GET \
  --url https://api.suby.fi/api/product/all \
  --header 'X-Suby-Api-Key: <api-key>'
{
  "success": true,
  "data": {
    "data": [
      {
        "id": "pro_abc123",
        "name": "Premium Access",
        "description": "<string>",
        "status": "ACTIVE",
        "platform": "WEB",
        "frequencyInDays": 123,
        "isCustomPrice": true,
        "priceCents": "999",
        "currency": "USD",
        "supply": 123,
        "imageUrl": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "paymentMethods": [
          "CRYPTO"
        ],
        "acceptedAssets": [
          {
            "symbol": "<string>",
            "decimals": 123
          }
        ],
        "acceptedChains": [
          {
            "id": 123,
            "name": "<string>"
          }
        ]
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 25,
      "total": 42,
      "totalPages": 2
    }
  }
}

Authorizations

X-Suby-Api-Key
string
header
required

API key authentication

Query Parameters

status
enum<string>
Available options:
ACTIVE,
CANCELLED,
DRAFT
platform
enum<string>
Available options:
WEB,
INVOICE,
DISCORD,
TELEGRAM
page
integer
default:1

Page number (starts at 1)

Required range: x >= 1
limit
integer
default:25

Results per page (max 25)

Required range: 1 <= x <= 25

Response

Products retrieved

success
boolean
Example:

true

data
object